mod errors;
mod file_io;
mod parser;

use file_io::open_file;
use parser::{ParsedReid, Parser};
use std::path::Path;

fn main() {
    let path = Path::new("reid_src/test.reid");
    let reid = Parser::from(open_file(&path).ok().unwrap()).parse();
    println!("Parsed: {:?}", reid);
}
